import 'package:json_annotation/json_annotation.dart';

part 'message.g.dart';

@JsonSerializable()
class MessageModel {
  String? title;//消息名称
  String? did;//消息设备id
  String? userId;//消息用户id
  String? userName;//消息用户名称
  DateTime? createTime;//消息创建时间
  int? type;//消息类型


  MessageModel();
  static MessageModel fromJson(Map<String, dynamic> json) =>
      _$MessageModelFromJson(json);
  Map<String, dynamic> toJson() => _$MessageModelToJson(this);
}
